Subject: Re: [PATCH net-next 1/3] net/sched: Introduce action ct

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Tue, 11 Jun 2019 22:23:13 +0200

Marcelo Ricardo Leitner <[email-masked]> writes:

> On Tue, Jun 11, 2019 at 05:34:50PM +0200, Toke Høiland-Jørgensen wrote:
>> Paul Blakey <[email-masked]> writes:
>> 
>> > On 6/11/2019 4:59 PM, Toke Høiland-Jørgensen wrote:
>> >> Paul Blakey <[email-masked]> writes:
>> >>
>> >>> Allow sending a packet to conntrack and set conntrack zone, mark,
>> >>> labels and nat parameters.
>> >> How is this different from the newly merged ctinfo action?
>> >>
>> >> -Toke
>> >
>> > Hi,
>> >
>> > ctinfo does one of two very specific things,
>> >
>> > 1) copies DSCP values that have been placed in the firewall conntrack 
>> > mark back into the IPv4/v6 diffserv field
>> >
>> > 2) copies the firewall conntrack mark to the skb's mark field (like 
>> > act_connmark)
>> >
>> > Originally ctinfo action was named conndscp (then conntrack, which is 
>> > what our ct shorthand stands for).
>> >
>> > We also talked about merging both at some point, but they seem only 
>> > coincidentally related.
>> 
>> Well, I'm predicting it will create some confusion to have them so
>> closely named... Not sure what the best way to fix that is, though...?
>
> I had suggested to let act_ct handle the above as well, as there is a
> big chunk of code on both that is pretty similar. There is quite some
> boilerplate for interfacing with conntrack which is duplicated.
> But it was considered that the end actions are unrelated, and ctinfo
> went ahead. (I'm still not convinced of that, btw)
>
> Other than this, which is not an option anymore, I don't see a way to
> avoid confusion here. Seems anything we pick now will be confusing
> because ctinfo is a generic name, and we also need one here.

Hmm, yeah, dunno if I have any better ideas for naming that would avoid
this. act_runct ? Meh...

-Toke